Skip to main content
GET
/
transactions
/
withdrawals
/
me
Get Payout Transactions
curl --request GET \
  --url https://api.obiex.finance/v1/transactions/withdrawals/me
import requests

url = "https://api.obiex.finance/v1/transactions/withdrawals/me"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.obiex.finance/v1/transactions/withdrawals/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Ok",
  "data": [
    {
      "id": "dcd4f3f3-99f6-4883-b11d-d66e82b07697",
      "createdAt": "2025-09-15T20:20:54.642Z",
      "updatedAt": "2025-09-15T20:20:54.642Z",
      "active": true,
      "reference": "e7cf2c45-3354-4097-90c4-a0ca0d264b1b",
      "description": "External payout",
      "narration": null,
      "type": "DEBIT",
      "category": "WITHDRAWAL",
      "amount": 1000,
      "walletId": "638ded38-77db-4763-9106-c9923bf5151b",
      "wallet": {
        "id": "638ded38-77db-4763-9106-c9923bf5151b",
        "createdAt": "2024-12-17T08:38:35.416Z",
        "updatedAt": "2025-09-16T13:15:57.469Z",
        "active": true,
        "availableBalance": 675,
        "pendingBalance": 0,
        "pendingSwapBalance": 0,
        "lockedBalance": 0,
        "userId": "ce09771a-cf91-46c5-94ab-36caec2d040b",
        "currencyId": "de3423cb-e81c-464f-8bb4-d9da15a37e8b",
        "totalSwappableBalance": 675,
        "totalPendingBalance": 0
      },
      "payout": {
        "id": "a96b5522-9bc6-4c06-bbcc-a7ab2153c401",
        "createdAt": "2025-09-15T20:20:54.642Z",
        "updatedAt": "2025-09-15T20:22:01.633Z",
        "active": true,
        "transferReference": "e7cf2c45-3354-4097-90c4-a0ca0d264b1b",
        "externalReference": "436246970508842220876716789858",
        "status": "SUCCESSFUL",
        "transactionId": "dcd4f3f3-99f6-4883-b11d-d66e82b07697",
        "bankAccount": {
          "id": "f048393b-d810-436a-8e3e-048f01d830d2",
          "createdAt": "2025-09-15T20:20:54.642Z",
          "updatedAt": "2025-09-15T20:20:54.642Z",
          "active": true,
          "accountNumber": "20xxxxxxx",
          "accountName": "Jane Doe",
          "bankName": "UBA",
          "bankCode": "033",
          "payoutId": "a96b5522-9bc6-4c06-bbcc-a7ab2153c401"
        }
      }
    }
  ],
  "meta": {
    "perPage": 1,
    "total": 1,
    "count": 1,
    "currentPage": 1,
    "totalPages": 1
  }
}

Headers

X-API-KEY
string
X-API-TIMESTAMP
integer
X-API-SIGNATURE
string

Query Parameters

currencyId
string
status
string
startDate
string
endDate
string
page
integer
pageSize
integer

Response

200 - application/json

Get Payout Transactions

message
string
data
object[]
meta
object